Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Class EEFactoryHelper

    java.lang.Object
      |
      +--com.solarmetric.kodo.ee.EEFactoryHelper

All Implemented Interfaces:
  Serializable

public class EEFactoryHelper
extends Object
implements Serializable

Helper for `PersistenceManagerFactory`s working in managed environments.

See Also:
  Serialized Form

Constructor Summary
`EEFactoryHelper(EEConfiguration config)` Constructor.

Method Summary
`PersistenceManagerImpl` | `findPersistenceManager(String user, String pass)` Returns the PersistenceManager associated with the current global Transaction, or null if none.
`EEConfiguration` | `getConfiguration()`
`(package private) void` | `synchronize(EEPersistenceManager pm, Transaction trans)` Used by the `EEPersistenceManager` to make sure it is synched and cached with the current global transaction.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EEFactoryHelper

    public EEFactoryHelper(EEConfiguration config)

  Constructor.

Method Detail

### getConfiguration

    public EEConfiguration getConfiguration()

### findPersistenceManager

    public PersistenceManagerImpl findPersistenceManager(String user,
                                                         String pass)

  Returns the PersistenceManager associated with the current global Transaction, or null if none. Factories should first delegate to this function from their `findPersistenceManager` method.

### synchronize

    void synchronize(EEPersistenceManager pm,
                     Transaction trans)
               throws RollbackException,
                      SystemException

  Used by the `EEPersistenceManager` to make sure it is synched and cached with the current global transaction.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.